#!/bin/bash

source ../_local_collect_config.sh


# Build up URL through static 'site' URL to collect/<openannotation>.json
#iuri_prefix=http://localhost:4343/greenstone3/library/sites/intermuse/collect/$col

## ifilename=${1:-archives/HASH012c.dir/openannotation-list.json}
#ifilename=${1:-amadeus-iiif-manifest--with-otherContent.json}


##iuri_tail=${ifilename#archives/}

##iuri="${iuri_prefix}${iuri_tail}"
#iuri="${iuri_prefix}/${ifilename}"


docid="${1:-HASH012cd965c3e83d504f4a78cd}"

download_url="$gs_library_url/collection/$col/document/$docid"
download_url="$download_url?sa=iiif-manifest&ed=1&includeFileAssocOpenAnnotations=true&excerptid-text=iiif-manifest"

if [ ! -d tmp ] ; then
echo ""
    echo "Making directory 'tmp'"
    mkdir tmp
fi

# Workaround for JSON parsing error.  When using the Greenstone document URL directly
# then POSTing to /simpleAnnotationStore/manifests resulted in a JSON error
# Issue caused by leading blank space
#
# Workaround is to download it as collect/tmp/doc-openannotation--with-otherContent.json
# and as part of that process, strip out whitespace.
# Then a new URL is built to the collect/tmp/doc-openannotation--with-otherContent.json
# and that version of the file is POSTed to /simpleAnnotationStore/manifests

echo ""
echo "Downloading openannotation JSON for $docid as workaround to strip out leading blank space"
echo ""
curl "$download_url" | egrep -v "^\\s*$" > tmp/doc-openannotation--with-otherContent.json


iuri="$gs_library_url/sites/intermuse/collect/$col/tmp/doc-openannotation--with-otherContent.json"

internal_url_base="http://localhost:4343/simpleAnnotationStore"

post_url="${internal_url_base}/manifests"

echo ""

echo curl -X POST -d \"uri=${iuri}\" \"$post_url\"
curl -X POST -d "uri=${iuri}" "$post_url"

#if [ $? = 0 ] ; then
#    /bin/rm tmp/doc-openannotation--with-otherContent.json
#fi

echo ""


# Returns JSON output of the form:
#   {"loaded":{"short_id":"f3bac06f17c9240b76b082dbdcbb365a","uri":"http-greenstone://intermuse/programmes/HASH012cd965c3e83d504f4a78cd/manifest"}}

# The short_id is needed to ...


# {"loaded":{"short_id":"e2465cd7e5174f2720cee110d9b4a06a","uri":"http-greenstone://intermuse/programmes-and-performers/HASH012cd965c3e83d504f4a78cd/manifest"}}+ echo ''
